# Get target network map with chaos context

Get target network map with chaos context

Endpoint: GET /gateway/chaos/manager/api/rest/v2/applicationmaps/{applicationmapid}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `environmentIdentifier` (string, required)
    environment id that want to access the resource

  - `infraId` (string, required)
    infra id that want to access the resource

## Path parameters:

  - `applicationmapid` (string, required)
    Application map ID

## Response 200 fields (application/json):

  - `accountID` (string, required)

  - `agentIdentity` (string)

  - `averageResiliencyScore` (number)

  - `connections` (array)

  - `connections.from` (object)

  - `connections.from.id` (string, required)

  - `connections.from.kind` (string, required)
    Enum: "K8SCustomService", "discoveredservice"

  - `connections.from.kubernetes` (object)

  - `connections.from.kubernetes.hasWorkload` (boolean)

  - `connections.from.kubernetes.kind` (string)

  - `connections.from.kubernetes.namespace` (string)

  - `connections.from.name` (string, required)

  - `connections.from.removed` (boolean)

  - `connections.from.serviceIdentity` (object)

  - `connections.from.serviceIdentity.accountIdentifier` (string)

  - `connections.from.serviceIdentity.identifier` (string)

  - `connections.from.serviceIdentity.organizationIdentifier` (string)

  - `connections.from.serviceIdentity.projectIdentifier` (string)

  - `connections.manual` (boolean)

  - `connections.params` (object)

  - `connections.port` (string)

  - `connections.to` (object)

  - `connections.type` (string)
    Enum: "TCP"

  - `createdAt` (integer)

  - `createdBy` (string)

  - `environmentRef` (string)

  - `errorMessage` (string)

  - `experimentCreationMode` (string)
    Enum: "Basic", "Intermediate", "Advanced"

  - `id` (string)

  - `identity` (string)

  - `infrastructureId` (string)

  - `isRemoved` (boolean, required)

  - `name` (string)

  - `onboardingID` (string)

  - `orgID` (string)

  - `projectID` (string)

  - `recentExperimentRunsDetails` (array)

  - `recentExperimentRunsDetails.completed` (boolean)

  - `recentExperimentRunsDetails.createdAt` (integer)

  - `recentExperimentRunsDetails.createdBy` (string)

  - `recentExperimentRunsDetails.experimentRunID` (string)

  - `recentExperimentRunsDetails.isRemoved` (boolean, required)

  - `recentExperimentRunsDetails.name` (string)

  - `recentExperimentRunsDetails.notifyID` (string)

  - `recentExperimentRunsDetails.phase` (string)

  - `recentExperimentRunsDetails.resiliencyScore` (number)

  - `recentExperimentRunsDetails.targetService` (array)

  - `recentExperimentRunsDetails.targetService.id` (string)

  - `recentExperimentRunsDetails.targetService.name` (string)

  - `recentExperimentRunsDetails.targetService.namespace` (string)

  - `recentExperimentRunsDetails.targetService.uid` (string)

  - `recentExperimentRunsDetails.updatedAt` (integer)

  - `recentExperimentRunsDetails.updatedBy` (string)

  - `resiliencyCoverage` (number)

  - `serviceIDs` (array)

  - `services` (array)

  - `services.averageResiliencyScore` (number)

  - `services.id` (string, required)

  - `services.kind` (string, required)
    Enum: "K8SCustomService", "discoveredservice"

  - `services.kubernetes` (object)

  - `services.name` (string, required)

  - `services.removed` (boolean)

  - `services.resiliencyCoverage` (number)

  - `services.serviceIdentity` (object)

  - `status` (string)
    Enum: "COMPLETED", "RUNNING", "PENDING", "ERRORED"

  - `targetNetworkMapID` (string)

  - `totalExperimentCount` (integer)

  - `totalExperimentRunCount` (integer)

  - `updatedAt` (integer)

  - `updatedBy` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


